# policyFix

Represents configuration and details for a policy-based fix.

### Examples

```graphql
type PolicyFix {
  settingType: String
  tooltip: String
  description: String
  warning: String
  confirmation: String
  inputs: [FixInput]
}
```

### Fields

| Field                                                                                         | Description                                        | Supported fields                                                                                                                                                                                                                                                                   |
| --------------------------------------------------------------------------------------------- | -------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| settingType `String`                                                                          | Type of setting controlled by the policy fix       |                                                                                                                                                                                                                                                                                    |
| tooltip `String`                                                                              | Tooltip text to describe the policy fix in the UI  |                                                                                                                                                                                                                                                                                    |
| description `String`                                                                          | Detailed description of the policy fix             |                                                                                                                                                                                                                                                                                    |
| warning `String`                                                                              | Warning message related to applying the fix        |                                                                                                                                                                                                                                                                                    |
| confirmation `String`                                                                         | Confirmation message shown before applying the fix |                                                                                                                                                                                                                                                                                    |
| inputs [`[FixInput]`](/api-documentation/api-reference/api--issue/types/objects/fix-input.md) | List of inputs required to configure the fix       | <p>type <code>String</code><br>name <code>String</code><br>options <a href="/pages/GBYIk8ebCjlwV1xKZ6qw"><code>\[FixInputOption]</code></a><br>multiSelect <code>Boolean</code><br>maxSelect <code>Int</code><br>minSelect <code>Int</code><br>displayName <code>String</code></p> |

### References

#### Fields with this object:

* [{} Issue.fixes](/api-documentation/api-reference/api--issue/types/objects/issue.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/policy-fix.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
